Package org.gradle.language.scala

## Interface ScalaPlatform

- All Superinterfaces:
    `Named`, `Platform`

      @Incubating
      @Deprecated
      public interface ScalaPlatform
      extends Platform

  Deprecated.
  Defines and configures a Scala Platform.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getScalaCompatibilityVersion()` | Deprecated.
    `String` | `getScalaVersion()` | Deprecated.

    - ### Methods inherited from interface org.gradle.platform.base.Platform

      `getDisplayName, getName`

- - ### Method Detail

    - #### getScalaVersion

          @Input
          String getScalaVersion()

      Deprecated.

    - #### getScalaCompatibilityVersion

          @Input
          String getScalaCompatibilityVersion()

      Deprecated.